Bug 1479929 - VM: Error when clicking on archived or orphaned VMware VM in VM explorer
Summary: VM: Error when clicking on archived or orphaned VMware VM in VM explorer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Harpreet Kataria
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1472973
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-09 18:52 UTC by Satoe Imaishi
Modified: 2017-10-24 00:37 UTC (History)
6 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1472973
Environment:
Last Closed: 2017-10-24 00:37:35 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-09 18:58:48 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/887d712d1717d7aaed9176521261e10aa01b56e0

commit 887d712d1717d7aaed9176521261e10aa01b56e0
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Jul 24 12:57:50 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 14:52:19 2017 -0400

    Merge pull request #1723 from h-kataria/fixed_visibility_code_for_vnc_console_button
    
    Added a ems_id existence check around VM VNC console button visibility
    (cherry picked from commit d08a4c9250db5370f3b75f8fef75601b0ee75589)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479929

 app/helpers/application_helper/button/vm_console.rb        |  4 ++++
 app/helpers/application_helper/button/vm_vnc_console.rb    |  2 +-
 .../application_helper/buttons/vm_vnc_console_spec.rb      |  5 +++++
 .../examples_group/shared_examples_for_vm_console.rb       | 14 +++++++++++++-
 4 files changed, 23 insertions(+), 2 deletions(-)

Comment 3 Nandini Chandra 2017-08-29 22:15:11 UTC
Steps to Reproduce:
1. Go Compute/Infrastructure/Virtual Machines
2. Click on Orphaned or Archived tree node in the tree
3. On the right click on any VMware VM
4. Set console type to  VNC in server settings 

   -Navigate to the Configuration page
   -On the Server settings page, click the 'Server' tab
   -In the "VMware Console Support " section, select "VNC" in the use drop down

Verified in 5.8.2

Comment 5 errata-xmlrpc 2017-10-24 00:37:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.